/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* Utilitaire pour effectuer un choix parmis une liste de chaines */

/* plusieurs choix */
pw_s_nlist : dialog {
   key = "titre";
   : column {
        : list_box {
            width = 60;
            key = "cle";
            multiple_select = true;            
        }
   }
   spacer_1;
   pw_valider_annuler;
}

/* Un seul choix */
pw_s_1list : dialog {
   key = "titre";
   : column {
        : list_box {
            width = 60;
            key = "cle";
            allow_accept = true;
        }
   }
   spacer_1;
   pw_valider_annuler;
}

/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* Icone Power Clic */

pw_icone : dialog {
  /*label = "Power Clic V 4.10 est charg";*/
  key = "DC168";
      : image {
        key = "pw_ico";
               width = 15;
               height = 10;
      }
  : text {
    key = "av1";
  }
  : text {
    key = "av2";
  }
  pw_ok_cancel_info;

}

/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* Utilitaires de retirement Power Clic */

pw_valider : retirement_button {
        label           = "Valider";
        key             = "accept";
        is_default      = true;
}

pw_annuler : retirement_button {
        label           = "Annuler";
        key             = "cancel";
        is_cancel      = true;
}


pw_valider_annuler : column {
    : row {
        fixed_width = true;
        alignment = centered;
        pw_valider;
        : spacer { width = 2; }
        pw_annuler;
    }
}

pw_ok_info : column {
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        is_cancel      = true;
        : spacer { width = 2; }
        info_button;
    }
}

pw_ok_cancel_info : column {
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        pw_annuler;
        : spacer { width = 2; }
        info_button;
    }
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* Autorisation Power Clic */

pw_prot : dialog {
  label = "Entrez votre numro d'autorisation :";
  initial_focus = "pw_user_id";
      spacer_1;
      : text {
        label = "Entrez vos informations d'enregistrement :";
      }
      : edit_box {
        key = "pw_user_id";
        label = "Votre identifiant d'utilisateur :";
       }
      spacer_1;
      : edit_box {
        key = "pw_num";
        label = "Votre numro d'autorisation :";
      }
 ok_cancel_help;
 errtile;
}

/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* Message d'Alerte Power Clic 8 lignes*/

pw_alert8 : dialog {
  label = "Information Power Clic";
  :column {
   children_alignment = centered;
      : text_part {
        key = "pw_msg1";
        width = 60;
      }
      : text_part {
        key = "pw_msg2";
        width = 60;
      }
      : text_part {
        key = "pw_msg3";
        width = 60;
      }
      : text_part {
        key = "pw_msg4";
        width = 60;
      }
      : text_part {
        key = "pw_msg5";
        width = 60;
      }
      : text_part {
        key = "pw_msg6";
        width = 60;
      }
      : text_part {
        key = "pw_msg7";
        width = 60;
      }
      : text_part {
        key = "pw_msg8";
        width = 60;
      }
  }
 ok_only;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* Message d'Alerte Power Clic 3 lignes*/

pw_alert3 : dialog {
  label = "Information Power Clic";
  :column {
   children_alignment = centered;
      : text_part {
        key = "pw_msg1";
        width = 60;
      }
      : text_part {
        key = "pw_msg2";
        width = 60;
      }
      : text_part {
        key = "pw_msg3";
        width = 60;
      }
  }
 ok_only;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* Message de choix oui non Power Clic 8 lignes*/

pw_choix : dialog {
  label = "Power Clic";
  :paragraph {
   width = 60;
   children_alignment = centered;
      : text_part {
        key = "pw_msg1";
        width = 60;
      }
      : text_part {
        key = "pw_msg2";
        width = 60;
      }
      : text_part {
        key = "pw_msg3";
        width = 60;
      }
      : text_part {
        key = "pw_msg4";
        width = 60;
      }
      : text_part {
        key = "pw_msg5";
        width = 60;
      }
      : text_part {
        key = "pw_msg6";
        width = 60;
      }
      : text_part {
        key = "pw_msg7";
        width = 60;
      }
      : text_part {
        key = "pw_msg8";
        width = 60;
      }
  }
 pw_oui_non;
}
pw_oui : retirement_button {
        label           = "Oui";
        key             = "accept";
        is_default      = true;
}

pw_non : retirement_button {
        label           = "Non";
        key             = "cancel";
        is_cancel      = true;
}


pw_oui_non : column {
    : row {
        fixed_width = true;
        alignment = centered;
        pw_oui;
        : spacer { width = 2; }
        pw_non;
    }
}
/*case de dialogue  pour la pose de noeod : accrochage et choix des parametres*/
pw_saisie_txt : dialog
{
   key = "msg" ;
   spacer_1;
   initial_focus = "kchaine";
   : column {
     : edit_box {
            label = "Saisie du texte : ";
            edit_limit = 12;
            allow_accept = true;
            key = "kchaine";
     }
   }   
 
   spacer_1 ;
   ok_cancel;
   errtile;
}